<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Unregistered Annotes</TITLE>
<link href="suif1_74.html" rel=Next>
<link href="suif1_72.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_72.html">previous</A>, <A HREF="suif1_74.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC73" HREF="suif1_toc.html#TOC73">Unregistered Annotations</A></H2>
<P>
<A NAME="IDX556"></A>
<A NAME="IDX557"></A>

</P>
<P>
If an annotation name is not registered with the manager, the format of
the annotation data is unknown.  Such annotations cannot be written to
the SUIF output file, and when they are printed the data is just shown
as a hexadecimal value.  If the data needs to be deallocated, you must
do so explicitly before the annotations are deleted.  The library cannot
automatically update the data in unregistered annotations, and the
cloning functions do not copy them.  The <CODE>immeds</CODE> method returns
<CODE>NULL</CODE> for unregistered annotations and <CODE>set_immeds</CODE> will not
work at all for them.

</P>
<P>
Due to these limitations, annotations should generally be registered
with the manager.  There are, however, many situations where
unregistered annotations are useful.  Because they are not written out,
the data in these annotations does not have to be converted to
<CODE>immed</CODE> lists.  This means that they may contain totally arbitrary
data structures.  The drawback is that it is entirely up to you to
ensure that the annotation data is maintained properly.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_72.html">previous</A>, <A HREF="suif1_74.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
